{-# OPTIONS -Wall #-}

--------------------------------------------------------------------------------
-- |
-- Module      :  ColourChartUtils
-- Copyright   :  (c) Stephen Tetley 2009
-- License     :  BSD3
--
-- Maintainer  :  Stephen Tetley <stephen.tetley@gmail.com>
-- Stability   :  highly unstable
-- Portability :  GHC
--
-- All the SVG / X11 \"named colours\" listed in tables. 
--
--------------------------------------------------------------------------------

module ColourChartUtils
  ( 
  -- * Tables of all colours
    all_x11_colours
  , all_svg_colours

  ) where

import qualified Wumpus.Drawing.Colour.SVGColours    as SVG
import qualified Wumpus.Drawing.Colour.X11Colours    as X11

import Wumpus.Core.Colour ( RGBi )


all_svg_colours :: [(String,RGBi)]
all_svg_colours = 
  [ ("alice_blue",              SVG.alice_blue)
  , ("antique_white",           SVG.antique_white)
  , ("aqua",                    SVG.aqua)
  , ("aquamarine",              SVG.aquamarine)
  , ("azure",                   SVG.azure)
  , ("beige",                   SVG.beige)
  , ("bisque",                  SVG.bisque)
  , ("black",                   SVG.black)
  , ("blanched_almond",         SVG.blanched_almond)
  , ("blue",                    SVG.blue)
  , ("blue_violet",             SVG.blue_violet)
  , ("brown",                   SVG.brown)
  , ("burlywood",               SVG.burlywood)
  , ("cadet_blue",              SVG.cadet_blue)
  , ("chartreuse",              SVG.chartreuse)
  , ("chocolate",               SVG.chocolate)
  , ("coral",                   SVG.coral)
  , ("cornflower_blue",         SVG.cornflower_blue)
  , ("cornsilk",                SVG.cornsilk)
  , ("crimson",                 SVG.crimson)
  , ("cyan",                    SVG.cyan)
  , ("dark_blue",               SVG.dark_blue)
  , ("dark_cyan",               SVG.dark_cyan)
  , ("dark_goldenrod",          SVG.dark_goldenrod)
  , ("dark_gray",               SVG.dark_gray)
  , ("dark_green",              SVG.dark_green)
  , ("dark_grey",               SVG.dark_grey)
  , ("dark_khaki",              SVG.dark_khaki)
  , ("dark_magenta",            SVG.dark_magenta)
  , ("dark_olive_green",        SVG.dark_olive_green)
  , ("dark_orange",             SVG.dark_orange)
  , ("dark_orchid",             SVG.dark_orchid)
  , ("dark_red",                SVG.dark_red)
  , ("dark_salmon",             SVG.dark_salmon)
  , ("dark_sea_green",          SVG.dark_sea_green)
  , ("dark_slate_blue",         SVG.dark_slate_blue)
  , ("dark_slate_gray",         SVG.dark_slate_gray)
  , ("dark_slate_grey",         SVG.dark_slate_grey)
  , ("dark_turquoise",          SVG.dark_turquoise)
  , ("dark_violet",             SVG.dark_violet)
  , ("deep_pink",               SVG.deep_pink)
  , ("deep_sky_blue",           SVG.deep_sky_blue)
  , ("dim_gray",                SVG.dim_gray)
  , ("dim_grey",                SVG.dim_grey)
  , ("dodger_blue",             SVG.dodger_blue)
  , ("firebrick",               SVG.firebrick)
  , ("floral_white",            SVG.floral_white)
  , ("forest_green",            SVG.forest_green)
  , ("fuchsia",                 SVG.fuchsia)
  , ("gainsboro",               SVG.gainsboro)
  , ("ghost_white",             SVG.ghost_white)
  , ("gold",                    SVG.gold)
  , ("goldenrod",               SVG.goldenrod)
  , ("gray",                    SVG.gray)
  , ("grey",                    SVG.grey)
  , ("green",                   SVG.green)
  , ("green_yellow",            SVG.green_yellow)
  , ("honeydew",                SVG.honeydew)
  , ("hot_pink",                SVG.hot_pink)
  , ("indian_red",              SVG.indian_red)
  , ("indigo",                  SVG.indigo)
  , ("ivory",                   SVG.ivory)
  , ("khaki",                   SVG.khaki)
  , ("lavender",                SVG.lavender)
  , ("lavender_blush",          SVG.lavender_blush)
  , ("lawn_green",              SVG.lawn_green)
  , ("lemon_chiffon",           SVG.lemon_chiffon)
  , ("light_blue",              SVG.light_blue)
  , ("light_coral",             SVG.light_coral)
  , ("light_cyan",              SVG.light_cyan)
  , ("light_goldenrod_yellow",  SVG.light_goldenrod_yellow)
  , ("light_gray",              SVG.light_gray)
  , ("light_green",             SVG.light_green)
  , ("light_grey",              SVG.light_grey)
  , ("light_pink",              SVG.light_pink)
  , ("light_salmon",            SVG.light_salmon)
  , ("light_sea_green",         SVG.light_sea_green)
  , ("light_sky_blue",          SVG.light_sky_blue)
  , ("light_slate_gray",        SVG.light_slate_gray)
  , ("light_slate_grey",        SVG.light_slate_grey)
  , ("light_steel_blue",        SVG.light_steel_blue)
  , ("light_yellow",            SVG.light_yellow)
  , ("lime",                    SVG.lime)
  , ("lime_green",              SVG.lime_green)
  , ("linen",                   SVG.linen)
  , ("magenta",                 SVG.magenta)
  , ("maroon",                  SVG.maroon)
  , ("medium_aquamarine",       SVG.medium_aquamarine)
  , ("medium_blue",             SVG.medium_blue)
  , ("medium_orchid",           SVG.medium_orchid)
  , ("medium_purple",           SVG.medium_purple)
  , ("medium_sea_green",        SVG.medium_sea_green)
  , ("medium_slate_blue",       SVG.medium_slate_blue)
  , ("medium_spring_green",     SVG.medium_spring_green)
  , ("medium_turquoise",        SVG.medium_turquoise)
  , ("medium_violet_red",       SVG.medium_violet_red)
  , ("midnight_blue",           SVG.midnight_blue)
  , ("mintcream",               SVG.mintcream)
  , ("mistyrose",               SVG.mistyrose)
  , ("moccasin",                SVG.moccasin)
  , ("navajo_white",            SVG.navajo_white)
  , ("navy",                    SVG.navy)
  , ("old_lace",                SVG.old_lace)
  , ("olive",                   SVG.olive)
  , ("olive_drab",              SVG.olive_drab)
  , ("orange",                  SVG.orange)
  , ("orange_red",              SVG.orange_red)
  , ("orchid",                  SVG.orchid)
  , ("pale_goldenrod",          SVG.pale_goldenrod)
  , ("pale_green",              SVG.pale_green)
  , ("pale_turquoise",          SVG.pale_turquoise)
  , ("pale_violet_red",         SVG.pale_violet_red)
  , ("papaya_whip",             SVG.papaya_whip)
  , ("peach_puff",              SVG.peach_puff)
  , ("peru",                    SVG.peru)
  , ("pink",                    SVG.pink)
  , ("plum",                    SVG.plum)
  , ("powder_blue",             SVG.powder_blue)
  , ("purple",                  SVG.purple)
  , ("red",                     SVG.red)
  , ("rosy_brown",              SVG.rosy_brown)
  , ("royal_blue",              SVG.royal_blue)
  , ("saddle_brown",            SVG.saddle_brown)
  , ("salmon",                  SVG.salmon)
  , ("sandy_brown",             SVG.sandy_brown)
  , ("sea_green",               SVG.sea_green)
  , ("seashell",                SVG.seashell)
  , ("sienna",                  SVG.sienna)
  , ("silver",                  SVG.silver)
  , ("sky_blue",                SVG.sky_blue)
  , ("slate_blue",              SVG.slate_blue)
  , ("slate_gray",              SVG.slate_gray)
  , ("slate_grey",              SVG.slate_grey)
  , ("snow",                    SVG.snow)
  , ("spring_green",            SVG.spring_green)
  , ("steel_blue",              SVG.steel_blue)
  , ("tan",                     SVG.tan)
  , ("teal",                    SVG.teal)
  , ("thistle",                 SVG.thistle)
  , ("tomato",                  SVG.tomato)
  , ("turquoise",               SVG.turquoise)
  , ("violet",                  SVG.violet)
  , ("wheat",                   SVG.wheat)
  , ("white",                   SVG.white)
  , ("whitesmoke",              SVG.whitesmoke)
  , ("yellow",                  SVG.yellow)
  , ("yellow_green",            SVG.yellow_green)
  ]



all_x11_colours :: [(String,RGBi)]
all_x11_colours = 
  [ ("antique_white1",          X11.antique_white1)
  , ("antique_white2",          X11.antique_white2)
  , ("antique_white3",          X11.antique_white3)
  , ("antique_white4",          X11.antique_white4)
  , ("aquamarine1",             X11.aquamarine1)
  , ("aquamarine2",             X11.aquamarine2)
  , ("aquamarine3",             X11.aquamarine3)
  , ("aquamarine4",             X11.aquamarine4)
  , ("azure1",                  X11.azure1)
  , ("azure2",                  X11.azure2)
  , ("azure3",                  X11.azure3)
  , ("azure4",                  X11.azure4)
  , ("bisque1",                 X11.bisque1)
  , ("bisque2",                 X11.bisque2)
  , ("bisque3",                 X11.bisque3)
  , ("bisque4",                 X11.bisque4)
  , ("blue1",                   X11.blue1)
  , ("blue2",                   X11.blue2)
  , ("blue3",                   X11.blue3)
  , ("blue4",                   X11.blue4)
  , ("brown1",                  X11.brown1)
  , ("brown2",                  X11.brown2)
  , ("brown3",                  X11.brown3)
  , ("brown4",                  X11.brown4)
  , ("burlywood1",              X11.burlywood1)
  , ("burlywood2",              X11.burlywood2)
  , ("burlywood3",              X11.burlywood3)
  , ("burlywood4",              X11.burlywood4)
  , ("cadet_blue1",             X11.cadet_blue1)
  , ("cadet_blue2",             X11.cadet_blue2)
  , ("cadet_blue3",             X11.cadet_blue3)
  , ("cadet_blue4",             X11.cadet_blue4)
  , ("chartreuse1",             X11.chartreuse1)
  , ("chartreuse2",             X11.chartreuse2)
  , ("chartreuse3",             X11.chartreuse3)
  , ("chartreuse4",             X11.chartreuse4)
  , ("chocolate1",              X11.chocolate1)
  , ("chocolate2",              X11.chocolate2)
  , ("chocolate3",              X11.chocolate3)
  , ("chocolate4",              X11.chocolate4)
  , ("coral1",                  X11.coral1)
  , ("coral2",                  X11.coral2)
  , ("coral3",                  X11.coral3)
  , ("coral4",                  X11.coral4)
  , ("cornsilk1",               X11.cornsilk1)
  , ("cornsilk2",               X11.cornsilk2)
  , ("cornsilk3",               X11.cornsilk3)
  , ("cornsilk4",               X11.cornsilk4)
  , ("cyan1",                   X11.cyan1)
  , ("cyan2",                   X11.cyan2)
  , ("cyan3",                   X11.cyan3)
  , ("cyan4",                   X11.cyan4)
  , ("dark_goldenrod1",         X11.dark_goldenrod1)
  , ("dark_goldenrod2",         X11.dark_goldenrod2)
  , ("dark_goldenrod3",         X11.dark_goldenrod3)
  , ("dark_goldenrod4",         X11.dark_goldenrod4)
  , ("dark_olive_green1",       X11.dark_olive_green1)
  , ("dark_olive_green2",       X11.dark_olive_green2)
  , ("dark_olive_green3",       X11.dark_olive_green3)
  , ("dark_olive_green4",       X11.dark_olive_green4)
  , ("dark_orange1",            X11.dark_orange1)
  , ("dark_orange2",            X11.dark_orange2)
  , ("dark_orange3",            X11.dark_orange3)
  , ("dark_orange4",            X11.dark_orange4)
  , ("dark_orchid1",            X11.dark_orchid1)
  , ("dark_orchid2",            X11.dark_orchid2)
  , ("dark_orchid3",            X11.dark_orchid3)
  , ("dark_orchid4",            X11.dark_orchid4)
  , ("dark_sea_green1",         X11.dark_sea_green1)
  , ("dark_sea_green2",         X11.dark_sea_green2)
  , ("dark_sea_green3",         X11.dark_sea_green3)
  , ("dark_sea_green4",         X11.dark_sea_green4)
  , ("dark_slate_gray1",        X11.dark_slate_gray1)
  , ("dark_slate_gray2",        X11.dark_slate_gray2)
  , ("dark_slate_gray3",        X11.dark_slate_gray3)
  , ("dark_slate_gray4",        X11.dark_slate_gray4)
  , ("deep_pink1",              X11.deep_pink1)
  , ("deep_pink2",              X11.deep_pink2)
  , ("deep_pink3",              X11.deep_pink3)
  , ("deep_pink4",              X11.deep_pink4)
  , ("deep_sky_blue1",          X11.deep_sky_blue1)
  , ("deep_sky_blue2",          X11.deep_sky_blue2)
  , ("deep_sky_blue3",          X11.deep_sky_blue3)
  , ("deep_sky_blue4",          X11.deep_sky_blue4)
  , ("dodger_blue1",            X11.dodger_blue1)
  , ("dodger_blue2",            X11.dodger_blue2)
  , ("dodger_blue3",            X11.dodger_blue3)
  , ("dodger_blue4",            X11.dodger_blue4)
  , ("firebrick1",              X11.firebrick1)
  , ("firebrick2",              X11.firebrick2)
  , ("firebrick3",              X11.firebrick3)
  , ("firebrick4",              X11.firebrick4)
  , ("gold1",                   X11.gold1)
  , ("gold2",                   X11.gold2)
  , ("gold3",                   X11.gold3)
  , ("gold4",                   X11.gold4)
  , ("goldenrod1",              X11.goldenrod1)
  , ("goldenrod2",              X11.goldenrod2)
  , ("goldenrod3",              X11.goldenrod3)
  , ("goldenrod4",              X11.goldenrod4)
  , ("green1",                  X11.green1)
  , ("green2",                  X11.green2)
  , ("green3",                  X11.green3)
  , ("green4",                  X11.green4)
  , ("honeydew1",               X11.honeydew1)
  , ("honeydew2",               X11.honeydew2)
  , ("honeydew3",               X11.honeydew3)
  , ("honeydew4",               X11.honeydew4)
  , ("hot_pink1",               X11.hot_pink1)
  , ("hot_pink2",               X11.hot_pink2)
  , ("hot_pink3",               X11.hot_pink3)
  , ("hot_pink4",               X11.hot_pink4)
  , ("indian_red1",             X11.indian_red1)
  , ("indian_red2",             X11.indian_red2)
  , ("indian_red3",             X11.indian_red3)
  , ("indian_red4",             X11.indian_red4)
  , ("ivory1",                  X11.ivory1)
  , ("ivory2",                  X11.ivory2)
  , ("ivory3",                  X11.ivory3)
  , ("ivory4",                  X11.ivory4)
  , ("khaki1",                  X11.khaki1)
  , ("khaki2",                  X11.khaki2)
  , ("khaki3",                  X11.khaki3)
  , ("khaki4",                  X11.khaki4)
  , ("lavender_blush1",         X11.lavender_blush1)
  , ("lavender_blush2",         X11.lavender_blush2)
  , ("lavender_blush3",         X11.lavender_blush3)
  , ("lavender_blush4",         X11.lavender_blush4)
  , ("lemon_chiffon1",          X11.lemon_chiffon1)
  , ("lemon_chiffon2",          X11.lemon_chiffon2)
  , ("lemon_chiffon3",          X11.lemon_chiffon3)
  , ("lemon_chiffon4",          X11.lemon_chiffon4)
  , ("light_blue1",             X11.light_blue1)
  , ("light_blue2",             X11.light_blue2)
  , ("light_blue3",             X11.light_blue3)
  , ("light_blue4",             X11.light_blue4)
  , ("light_cyan1",             X11.light_cyan1)
  , ("light_cyan2",             X11.light_cyan2)
  , ("light_cyan3",             X11.light_cyan3)
  , ("light_cyan4",             X11.light_cyan4)
  , ("light_goldenrod1",        X11.light_goldenrod1)
  , ("light_goldenrod2",        X11.light_goldenrod2)
  , ("light_goldenrod3",        X11.light_goldenrod3)
  , ("light_goldenrod4",        X11.light_goldenrod4)
  , ("light_pink1",             X11.light_pink1)
  , ("light_pink2",             X11.light_pink2)
  , ("light_pink3",             X11.light_pink3)
  , ("light_pink4",             X11.light_pink4)
  , ("light_salmon1",           X11.light_salmon1)
  , ("light_salmon2",           X11.light_salmon2)
  , ("light_salmon3",           X11.light_salmon3)
  , ("light_salmon4",           X11.light_salmon4)
  , ("light_sky_blue1",         X11.light_sky_blue1)
  , ("light_sky_blue2",         X11.light_sky_blue2)
  , ("light_sky_blue3",         X11.light_sky_blue3)
  , ("light_sky_blue4",         X11.light_sky_blue4)
  , ("light_steel_blue1",       X11.light_steel_blue1)
  , ("light_steel_blue2",       X11.light_steel_blue2)
  , ("light_steel_blue3",       X11.light_steel_blue3)
  , ("light_steel_blue4",       X11.light_steel_blue4)
  , ("light_yellow1",           X11.light_yellow1)
  , ("light_yellow2",           X11.light_yellow2)
  , ("light_yellow3",           X11.light_yellow3)
  , ("light_yellow4",           X11.light_yellow4)
  , ("magenta1",                X11.magenta1)
  , ("magenta2",                X11.magenta2)
  , ("magenta3",                X11.magenta3)
  , ("magenta4",                X11.magenta4)
  , ("maroon1",                 X11.maroon1)
  , ("maroon2",                 X11.maroon2)
  , ("maroon3",                 X11.maroon3)
  , ("maroon4",                 X11.maroon4)
  , ("medium_orchid1",          X11.medium_orchid1)
  , ("medium_orchid2",          X11.medium_orchid2)
  , ("medium_orchid3",          X11.medium_orchid3)
  , ("medium_orchid4",          X11.medium_orchid4)
  , ("medium_purple1",          X11.medium_purple1)
  , ("medium_purple2",          X11.medium_purple2)
  , ("medium_purple3",          X11.medium_purple3)
  , ("medium_purple4",          X11.medium_purple4)
  , ("misty_rose1",             X11.misty_rose1)
  , ("misty_rose2",             X11.misty_rose2)
  , ("misty_rose3",             X11.misty_rose3)
  , ("misty_rose4",             X11.misty_rose4)
  , ("navajo_white1",           X11.navajo_white1)
  , ("navajo_white2",           X11.navajo_white2)
  , ("navajo_white3",           X11.navajo_white3)
  , ("navajo_white4",           X11.navajo_white4)
  , ("olive_drab1",             X11.olive_drab1)
  , ("olive_drab2",             X11.olive_drab2)
  , ("olive_drab3",             X11.olive_drab3)
  , ("olive_drab4",             X11.olive_drab4)
  , ("orange1",                 X11.orange1)
  , ("orange2",                 X11.orange2)
  , ("orange3",                 X11.orange3)
  , ("orange4",                 X11.orange4)
  , ("orange_red1",             X11.orange_red1)
  , ("orange_red2",             X11.orange_red2)
  , ("orange_red3",             X11.orange_red3)
  , ("orange_red4",             X11.orange_red4)
  , ("orchid1",                 X11.orchid1)
  , ("orchid2",                 X11.orchid2)
  , ("orchid3",                 X11.orchid3)
  , ("orchid4",                 X11.orchid4)
  , ("pale_green1",             X11.pale_green1)
  , ("pale_green2",             X11.pale_green2)
  , ("pale_green3",             X11.pale_green3)
  , ("pale_green4",             X11.pale_green4)
  , ("pale_turquoise1",         X11.pale_turquoise1)
  , ("pale_turquoise2",         X11.pale_turquoise2)
  , ("pale_turquoise3",         X11.pale_turquoise3)
  , ("pale_turquoise4",         X11.pale_turquoise4)
  , ("pale_violet_red1",        X11.pale_violet_red1)
  , ("pale_violet_red2",        X11.pale_violet_red2)
  , ("pale_violet_red3",        X11.pale_violet_red3)
  , ("pale_Violet_red4",        X11.pale_violet_red4)
  , ("peach_puff1",             X11.peach_puff1)
  , ("peach_puff2",             X11.peach_puff2)
  , ("peach_puff3",             X11.peach_puff3)
  , ("peach_puff4",             X11.peach_puff4)
  , ("pink1",                   X11.pink1)
  , ("pink2",                   X11.pink2)
  , ("pink3",                   X11.pink3)
  , ("pink4",                   X11.pink4)
  , ("plum1",                   X11.plum1)
  , ("plum2",                   X11.plum2)
  , ("plum3",                   X11.plum3)
  , ("plum4",                   X11.plum4)
  , ("purple1",                 X11.purple1)
  , ("purple2",                 X11.purple2)
  , ("purple3",                 X11.purple3)
  , ("purple4",                 X11.purple4)
  , ("red1",                    X11.red1)
  , ("red2",                    X11.red2)
  , ("red3",                    X11.red3)
  , ("red4",                    X11.red4)
  , ("rosy_brown1",             X11.rosy_brown1)
  , ("rosy_brown2",             X11.rosy_brown2)
  , ("rosy_brown3",             X11.rosy_brown3)
  , ("rosy_brown4",             X11.rosy_brown4)
  , ("royal_blue1",             X11.royal_blue1)
  , ("royal_blue2",             X11.royal_blue2)
  , ("royal_blue3",             X11.royal_blue3)
  , ("royal_blue4",             X11.royal_blue4)
  , ("salmon1",                 X11.salmon1)
  , ("salmon2",                 X11.salmon2)
  , ("salmon3",                 X11.salmon3)
  , ("salmon4",                 X11.salmon4)
  , ("sea_green1",              X11.sea_green1)
  , ("sea_green2",              X11.sea_green2)
  , ("sea_green3",              X11.sea_green3)
  , ("sea_green4",              X11.sea_green4)
  , ("seashell1",               X11.seashell1)
  , ("seashell2",               X11.seashell2)
  , ("seashell3",               X11.seashell3)
  , ("seashell4",               X11.seashell4)
  , ("sienna1",                 X11.sienna1)
  , ("sienna2",                 X11.sienna2)
  , ("sienna3",                 X11.sienna3)
  , ("sienna4",                 X11.sienna4)
  , ("sky_blue1",               X11.sky_blue1)
  , ("sky_blue2",               X11.sky_blue2)
  , ("sky_blue3",               X11.sky_blue3)
  , ("sky_blue4",               X11.sky_blue4)
  , ("slate_blue1",             X11.slate_blue1)
  , ("slate_blue2",             X11.slate_blue2)
  , ("slate_blue3",             X11.slate_blue3)
  , ("slate_blue4",             X11.slate_blue4)
  , ("slate_gray1",             X11.slate_gray1)
  , ("slate_gray2",             X11.slate_gray2)
  , ("slate_gray3",             X11.slate_gray3)
  , ("slate_gray4",             X11.slate_gray4)
  , ("snow1",                   X11.snow1)
  , ("snow2",                   X11.snow2)
  , ("snow3",                   X11.snow3)
  , ("snow4",                   X11.snow4)
  , ("spring_green1",           X11.spring_green1)
  , ("spring_green2",           X11.spring_green2)
  , ("spring_green3",           X11.spring_green3)
  , ("spring_green4",           X11.spring_green4)
  , ("steel_blue1",             X11.steel_blue1)
  , ("steel_blue2",             X11.steel_blue2)
  , ("steel_blue3",             X11.steel_blue3)
  , ("steel_blue4",             X11.steel_blue4)
  , ("tan1",                    X11.tan1)
  , ("tan2",                    X11.tan2)
  , ("tan3",                    X11.tan3)
  , ("tan4",                    X11.tan4)
  , ("thistle1",                X11.thistle1)
  , ("thistle2",                X11.thistle2)
  , ("thistle3",                X11.thistle3)
  , ("thistle4",                X11.thistle4)
  , ("tomato1",                 X11.tomato1)
  , ("tomato2",                 X11.tomato2)
  , ("tomato3",                 X11.tomato3)
  , ("tomato4",                 X11.tomato4)
  , ("turquoise1",              X11.turquoise1)
  , ("turquoise2",              X11.turquoise2)
  , ("turquoise3",              X11.turquoise3)
  , ("turquoise4",              X11.turquoise4)
  , ("violet_red1",             X11.violet_red1)
  , ("violet_red2",             X11.violet_red2)
  , ("violet_red3",             X11.violet_red3)
  , ("violet_red4",             X11.violet_red4)
  , ("wheat1",                  X11.wheat1)
  , ("wheat2",                  X11.wheat2)
  , ("wheat3",                  X11.wheat3)
  , ("wheat4",                  X11.wheat4)
  , ("yellow1",                 X11.yellow1)
  , ("yellow2",                 X11.yellow2)
  , ("yellow3",                 X11.yellow3)
  , ("yellow4",                 X11.yellow4)
  ]




